This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 458396 - Review Request: denemo - Graphical music notation program
Review Request: denemo - Graphical music notation program
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ruben Kerkhof
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-07 19:43 EDT by Roy Rankin
Modified: 2008-09-10 08:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-10 08:36:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ruben: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Roy Rankin 2008-08-07 19:43:41 EDT
Spec URL: http://download.savannah.gnu.org/releases/denemo/fedora/denemo.spec
SRPM URL: http://download.savannah.gnu.org/releases/denemo/fedora/denemo-0.7.9-1.fc9.src.rpm
Description: 
Denemo is a graphical music notation program written in C with
gtk+. As of April 2000, it is an official part of the GNU project
(http://www.gnu.org/)

It is intended to be used in conjunction with GNU Lilypond
(http://www.cs.uu.nl/hanwen/lilypond/), but is adaptable to other
computer-music-related purposes as well.

This package depends on aubio which is already in rawhide.

This is my first package and I will require sponsership
Comment 1 Ruben Kerkhof 2008-08-15 06:41:24 EDT
Hi Roy,

A few initial comments:
- are the defines on the top of the spec needed? You can just set the Name, Version and Release tags and refer to them in the rest of the spec as %{name}, %{version} and %{release}
- You're using RPM_BUILD_ROOT everywhere, except on line 43, there it's %{buildroot}
- You can use %{_includedir} instead of %{prefix}/include on line 40
- The defattr on line 50 should be %defattr(-,root,root,-)
- Could you pick one of the BuildRoots from https://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag?
Comment 2 Roy Rankin 2008-08-16 00:14:53 EDT
Ruben,

Thanks you the comments. I had already fixed all these issues in the rework I did this morning before I saw your comments. Here is the rework URLs

Spec URL: http://download.savannah.gnu.org/releases/denemo/fedora/denemo.spec
SRPM URL:
http://download.savannah.gnu.org/releases/denemo/fedora/denemo-0.7.9-2.fc9.src.rpm
Comment 3 Ruben Kerkhof 2008-08-17 05:50:53 EDT
Review for release 2.fc9:
* RPM name is OK
* Source denemo-0.7.9.tar.gz is the same as upstream
* Builds fine in mock

rpmlint is not silent:
[ruben@slice denemo]$ rpmlint denemo-0.7.9-2.fc10.x86_64.rpm 
denemo.x86_64: E: explicit-lib-dependency libxml2
denemo.x86_64: W: no-version-in-last-changelog

You can probably drop all Requires except bug-buddy because you've listed them in the BuildRequires and rpm will pick them up by itself.
Comment 5 Ruben Kerkhof 2008-08-18 13:50:39 EDT
Thanks Roy,

This package is approved.
I've just sponsored you in the Fedora Account System.
You now can proceed with the rest of the process starting from:
https://fedoraproject.org/wiki/PackageMaintainers/Join#Install_the_Client_Tools_.28Koji.29


Please fix the last rpmlint warning before importing your package:
denemo.x86_64: W: no-version-in-last-changelog

Let me know if you have any questions.
Comment 6 Roy Rankin 2008-08-20 00:11:36 EDT
New Package CVS Request
=======================
Package Name:denemo
Short Description:Graphical music notation program
Owners:rrankin
Branches:F-10
InitialCC:
Comment 7 Kevin Fenzi 2008-08-24 15:05:16 EDT
cvs done.
Comment 8 Ruben Kerkhof 2008-09-10 08:36:06 EDT
Hi Roy,

I see you've successfully imported your package.
Don't forget to close your review ticket next time, I'll close this one for now.

Note You need to log in before you can comment on or make changes to this bug.